#include "control.h"
#include "servo01.h"

int setServoAndRead(int percentage)
{
  setServoTo(percentage);
  waitMilliseconds(300);
  return readAnalog();
}

int findBest(int start, int end)
{
  int bestPosition = -1;
  int maximumVoltage = -1;
  for(int i = start; i <= end; i++)
  {
    int voltage = setServoAndRead(i);
    if(voltage > maximumVoltage)
    {
      maximumVoltage = voltage;
      bestPosition = i;
    }
  }
  return bestPosition;
}